Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libfishsound
#Epoch:		0
Version:	1.0.0
Release:	1
License:	New BSD
URL:		http://www.xiph.org/fishsound/
Group:		System/Libraries
Summary:	wrapping library for Xiph codecs
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: pkg-config
BuildRequires: speex-devel

%description
libfishsound provides a simple programming interface for decoding and encoding audio data using the Xiph.org codecs (FLAC, Speex and Vorbis).

libfishsound by itself is designed to handle raw codec streams from a lower level layer such as UDP datagrams. When these codecs are used in files, they are commonly encapsulated in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis files.

libfishsound is a wrapper around the existing codec libraries and provides a consistent, higher-level programming interface. It has been designed for use in a wide variety of applications; it has no direct dependencies on Ogg encapsulation, though it is most commonly used in conjunction with liboggz to decode or encode FLAC, Speex or Vorbis audio tracks in Ogg files, including Ogg Theora and Annodex.



%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libfishsound.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/fishsound/comments.h
%{_includedir}/fishsound/constants.h
%{_includedir}/fishsound/decode.h
%{_includedir}/fishsound/deprecated.h
%{_includedir}/fishsound/encode.h
%{_includedir}/fishsound/fishsound.h
%{_libdir}/libfishsound.a
%{_libdir}/libfishsound.la
%{_libdir}/libfishsound.so
%{_pkgconfig}/fishsound.pc
%{_docdir}/libfishsound

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- initial CCux package release
